> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.solvimon.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.solvimon.com/_mcp/server.

# Create a payment schedule

POST https://test.api.solvimon.com/v{version}/payment-schedules
Content-Type: application/json

Requires the PAYMENT_SCHEDULE.CREATE permission.

Reference: https://docs.solvimon.com/api-docs/transaction-api/payment-schedules/post-payment-schedules

## Authentication

- `X-API-KEY` header (required) — API Key authentication via header
- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://test.api.solvimon.com` (The TEST environment for our API, default)
- `https://api.solvimon.com` (The live environment for our API)

## Request

### Path parameters

- `version` (string, required, default: 1) — version

### Headers

- `x-platform-id` (string, optional) — Platform ID.

### Body (application/json)

This endpoint expects a PaymentScheduleCreateRequest.

- `reference` (string, required)
- `billing_entity_id` (string, required) — Resource ID of type BILLING_ENTITY
- `type` (enum, required)
  - Allowed values: `INSTALLMENTS`, `ONE_OFF`, `RECURRING`
- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `created_at` (string, optional, nullable)
- `updated_at` (string, optional, nullable)
- `status` (enum, optional, nullable)
  - Allowed values: `ACTIVE`, `PAUSED`, `CANCELLED`, `DONE`
- `customer_id` (string, optional) — Resource ID of type CUSTOMER
- `customer` (CustomerCreateRequest, optional, nullable)
- `description` (string, optional, nullable)
- `statement_descriptor` (string, optional, nullable)
- `payment_method_id` (string, optional) — Resource ID of type PAYMENT_METHOD
- `payment_method` (PaymentMethodCreateRequest, optional, nullable)
- `dunning` (PaymentScheduleDunningCreateRequest, optional)
- `payment_method_fallback` (PaymentMethodFallbackCreateRequest, optional)
- `installments` (PaymentScheduleInstallmentsCreateRequest, optional)
- `recurring` (PaymentScheduleRecurringCreateRequest, optional)
- `one_off` (PaymentScheduleOneOffCreateRequest, optional)
- `seller_details` (SellerDetailsCreateRequest, optional)

## Response

### 200

OK

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `created_at` (string, optional, nullable)
- `updated_at` (string, optional, nullable)
- `status` (enum, optional, nullable)
  - Allowed values: `ACTIVE`, `PAUSED`, `CANCELLED`, `DONE`
- `customer_id` (string, optional) — Resource ID of type CUSTOMER
- `customer` (Customer, optional, nullable)
- `reference` (string, optional)
- `description` (string, optional, nullable)
- `statement_descriptor` (string, optional, nullable)
- `payment_method_id` (string, optional) — Resource ID of type PAYMENT_METHOD
- `payment_method` (PaymentMethod, optional, nullable)
- `billing_entity_id` (string, optional) — Resource ID of type BILLING_ENTITY
- `dunning` (PaymentScheduleDunning, optional)
- `payment_method_fallback` (PaymentMethodFallback, optional)
- `type` (enum, optional)
  - Allowed values: `INSTALLMENTS`, `ONE_OFF`, `RECURRING`
- `installments` (PaymentScheduleInstallments, optional)
- `recurring` (PaymentScheduleRecurring, optional)
- `one_off` (PaymentScheduleOneOff, optional)
- `seller_details` (SellerDetails, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

### 401 Unauthorized Error

Unauthorized

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

### 403 Forbidden Error

Forbidden

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

### 500 Internal Server Error

Internal Server Error

- `type` (enum, required)
  - Allowed values: `API_ERROR`, `INVALID_REQUEST`
- `code` (enum, required)
  - Allowed values: `RESOURCE_NOT_FOUND`, `RESOURCES_NOT_FOUND`, `UNABLE_TO_PROCESS_INSTRUCTIONS`, `BAD_REQUEST`, `UNSUPPORTED_MEDIA_TYPE`, `RESOURCE_ALREADY_EXISTS`, `CUSTOM_FIELD_VALUE_ALREADY_EXISTS`, `COULD_NOT_CREATE_RESOURCE`, `COULD_NOT_UPDATE_RESOURCE`, `COULD_NOT_DELETE_RESOURCE`, `MISSING_VERSION`, `UNSUPPORTED_VERSION`, `UNAUTHORISED`, `CUSTOMER_NOT_FOUND`, `PLATFORM_NOT_FOUND`, `PRICING_PLAN_NOT_FOUND`, `PRODUCT_NOT_FOUND`, `PRODUCT_ITEM_NOT_FOUND`, `PRICING_NOT_FOUND`, `PRICING_ITEM_NOT_FOUND`, `USER_NOT_FOUND`, `METER_NOT_FOUND`, `METER_VALUE_NOT_FOUND`, `METER_PROPERTY_NOT_FOUND`, `PRICING_ITEM_SUMMARIES_NOT_FOUND`, `MISSING_ID`, `INVALID_ID`, `MISSING_REFERENCE`, `MISSING_FIELD`, `INVALID_FIELD`, `INVALID_OPERATION`, `INTERNAL_ERROR`, `USER_NOT_ALLOWED`, `IDEMPOTENCY_CHECK_FAILED`, `INVALID_REQUEST`
- `message` (string, required)
- `field` (string, optional, nullable)
- `resource_id` (string, optional, nullable)
- `resource_type` (enum, optional, nullable)
  - Allowed values: `CUSTOMER`, `CUSTOM_FIELD`, `PLATFORM`, `PLATFORM_UPTODATE`, `METER`, `METER_VALUE`, `METER_PROPERTY`, `METER_PROPERTY_VARIABLE`, `METER_VALUE_CALCULATION`, `INGEST_DATA`, `METER_DATA`, `CHARGE_DATA`, `PERSIST_DATA`, `ADJUSTMENT_DATA`, `PRODUCT_CATEGORY`, `PRODUCT`, `PRODUCT_ITEM`, `PRICING`, `PRICING_GROUP`, `PRICING_ITEM`, `PRICING_ITEM_CONFIG`, `PRICING_PLAN_SUBSCRIPTION`, `PRICING_PLAN_SUBSCRIPTION_GROUP`, `PRICING_PLAN_SCHEDULE`, `SEAT_ASSIGNMENT`, `SHIPPING_ADDRESS`, `PRICING_PLAN`, `PRICING_PLAN_VERSION`, `PRICING_PLAN_GROUP`, `QUOTE`, `QUOTE_VERSION`, `QUOTE_TEMPLATE`, `QUOTE_VERSION_SUMMARY`, `API_KEY`, `USER`, `ROLE`, `PROXY_USER`, `EXTERNAL_CREDENTIALS`, `TOKEN`, `INVOICE`, `E_INVOICE`, `PDF`, `BILLING_ENTITY`, `FEATURE`, `MEMBERSHIP`, `PAYMENT`, `PAYMENT_ACCEPTOR`, `PAYMENT_METHOD`, `PAYMENT_METHOD_OPTIONS`, `PAYMENT_SCHEDULE`, `PAYMENT_REQUEST`, `INTEGRATION`, `WEBHOOK`, `WEBHOOK_EVENT`, `FILE`, `FILE_PROCESSING_SETTINGS`, `TEAM`, `DOWNLOAD_URL`, `CSV_REPORT`, `REPORT`, `REPORT_GENERATE_REQUEST`, `REPORT_CONFIGURATION`, `REPORT_SUBSCRIPTION`, `REPORT_DEFINITION`, `ACCOUNT_GROUP`, `ENTITY`, `EVENT_TRACE`, `EVENT_TRACE_LINK`, `PRICING_CATEGORY`, `CONTACT`, `ALERT_RULE`, `ALERT`, `USAGE_LIMIT`, `AUDIT_RECORD`, `PORTAL_URL`, `AUTHENTICATION_PROVIDER`, `REPROCESS`, `APPROVAL_POLICY`, `APPROVAL_REQUEST`, `BULK_ACTION`, `COUPON`, `PROMOTION_CODE`, `WALLET`, `WALLET_TYPE`, `WALLET_GRANT`, `AUTO_TOPUP_CONFIG`, `WORKFLOW`, `WORKFLOW_TRIGGER`, `WORKFLOW_ACTION`, `WORKFLOW_ACTION_EXECUTION`, `CREDIT_TYPE`, `SIGNATURE_REQUEST`, `ATTACHMENT`, `DOCUMENT`, `EXCHANGE_RATE`

## Types

### CustomerCreateRequest

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `created_at` (string, optional, nullable)
- `parent_customer_id` (string, optional, nullable) — The parent of the customer. Only returned when there is a single parent.
- `parent_customer_ids` (list of string, optional, nullable) — A list of parents of the customer. Will also be returned if there is a single parent.
- `reference` (string, optional) — A custom reference assigned to the customer.
- `status` (enum, optional, nullable)
  - Allowed values: `DRAFT`, `ACTIVE`, `ARCHIVED`, `DEPRECATED`, `CLOSED`
- `timezone` (string, optional, nullable)
- `type` (enum, optional) — The type of customer entity.
  - Allowed values: `ORGANIZATION`, `INDIVIDUAL`
- `email` (string, optional, nullable) — The email of the customer.
- `notification_preferences` (list of NotificationPreference, optional, nullable) — Notification preferences for customer-related communications.
- `locale` (string, optional, nullable) — The locale of the customer. Format is language-country (like en-US).
- `individual` (Individual, optional) — Additional description of the individual customer type.
- `organization` (Organization, optional) — Additional description of the organization customer type.
- `custom_fields` (list of CustomFieldValue, optional, nullable)
- `pricing_plan_subscription_selector` (PricingPlanSubscriptionSelector, optional) — Settings to influence dynamically the subscription to use for the ingest data.
- `linked_integrations` (list of LinkedIntegration, optional, nullable)
- `roles` (list of enum, optional, nullable)
  - Allowed values: `DEFAULT`, `NON_PROCESSING`, `SELF_BILLING`, `SELLER`, `PROCESSING_ONLY`
- `seller_details` (CustomerSellerDetails, optional)
- `processing_only` (boolean, optional, nullable, deprecated)

### PaymentMethodCreateRequest

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `created_at` (string, optional, nullable)
- `updated_at` (string, optional, nullable)
- `reference` (string, optional)
- `status` (enum, optional, nullable)
  - Allowed values: `SETUP`, `ACTIVE`, `INACTIVE`, `ARCHIVED`
- `type` (enum, optional, nullable)
  - Allowed values: `CARD`, `ONLINE_BANKING`, `BUY_NOW_PAY_LATER`, `DIRECT_DEBIT`, `DIGITAL_WALLET`, `UNKNOWN`
- `card` (PaymentMethodCard, optional)
- `online_banking` (PaymentMethodOnlineBanking, optional)
- `buy_now_pay_later` (PaymentMethodBuyNowPayLater, optional)
- `direct_debit` (PaymentMethodDirectDebit, optional)
- `digital_wallet` (PaymentMethodDigitalWallet, optional)
- `customer_id` (string, optional, nullable) — Resource ID of type CUSTOMER
- `integration_id` (string, optional, nullable) — Resource ID of type INTEGRATION
- `integration_reference` (string, optional, nullable)
- `integration_details` (IntegrationDetails, optional)
- `billing_address` (Address, optional)
- `is_default` (boolean, optional, nullable)

### PaymentScheduleDunningCreateRequest

- `enabled` (boolean, optional)

### PaymentMethodFallbackCreateRequest

- `enabled` (boolean, optional)
- `payment_method_ids` (list of string, optional)

### PaymentScheduleInstallmentsCreateRequest

- `total_amount` (Amount, optional)
- `variant` (enum, optional)
  - Allowed values: `INTERVAL`, `FIXED`
- `number_of_installments` (integer, optional)
- `interval` (IntervalInstallment, optional)
- `fixed` (FixedInstallment, optional)

### PaymentScheduleRecurringCreateRequest

- `charge` (Charge, optional)
- `start_at` (datetime, optional)
- `end_at` (datetime, optional, nullable)
- `period` (Period, optional)

### PaymentScheduleOneOffCreateRequest

- `charge` (Charge, optional)

### SellerDetailsCreateRequest

- `seller_customer_id` (string, optional, nullable) — Resource ID of type CUSTOMER

### Customer

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `created_at` (string, optional, nullable)
- `parent_customer_id` (string, optional, nullable) — The parent of the customer. Only returned when there is a single parent.
- `parent_customer_ids` (list of string, optional, nullable) — A list of parents of the customer. Will also be returned if there is a single parent.
- `reference` (string, optional) — A custom reference assigned to the customer.
- `status` (enum, optional, nullable)
  - Allowed values: `DRAFT`, `ACTIVE`, `ARCHIVED`, `DEPRECATED`, `CLOSED`
- `timezone` (string, optional, nullable)
- `type` (enum, optional) — The type of customer entity.
  - Allowed values: `ORGANIZATION`, `INDIVIDUAL`
- `email` (string, optional, nullable) — The email of the customer.
- `notification_preferences` (list of NotificationPreference, optional, nullable) — Notification preferences for customer-related communications.
- `locale` (string, optional, nullable) — The locale of the customer. Format is language-country (like en-US).
- `individual` (Individual, optional) — Additional description of the individual customer type.
- `organization` (Organization, optional) — Additional description of the organization customer type.
- `custom_fields` (list of CustomFieldValue, optional, nullable)
- `pricing_plan_subscription_selector` (PricingPlanSubscriptionSelector, optional) — Settings to influence dynamically the subscription to use for the ingest data.
- `linked_integrations` (list of LinkedIntegration, optional, nullable)
- `roles` (list of enum, optional, nullable)
  - Allowed values: `DEFAULT`, `NON_PROCESSING`, `SELF_BILLING`, `SELLER`, `PROCESSING_ONLY`
- `seller_details` (CustomerSellerDetails, optional)
- `processing_only` (boolean, optional, nullable, deprecated)

### PaymentMethod

- `object_type` (string, optional, nullable)
- `id` (string, optional, nullable)
- `created_at` (string, optional, nullable)
- `updated_at` (string, optional, nullable)
- `reference` (string, optional)
- `status` (enum, optional, nullable)
  - Allowed values: `SETUP`, `ACTIVE`, `INACTIVE`, `ARCHIVED`
- `type` (enum, optional, nullable)
  - Allowed values: `CARD`, `ONLINE_BANKING`, `BUY_NOW_PAY_LATER`, `DIRECT_DEBIT`, `DIGITAL_WALLET`, `UNKNOWN`
- `card` (PaymentMethodCard, optional)
- `online_banking` (PaymentMethodOnlineBanking, optional)
- `buy_now_pay_later` (PaymentMethodBuyNowPayLater, optional)
- `direct_debit` (PaymentMethodDirectDebit, optional)
- `digital_wallet` (PaymentMethodDigitalWallet, optional)
- `customer_id` (string, optional, nullable) — Resource ID of type CUSTOMER
- `integration_id` (string, optional, nullable) — Resource ID of type INTEGRATION
- `integration_reference` (string, optional, nullable)
- `integration_details` (IntegrationDetails, optional)
- `billing_address` (Address, optional)
- `is_default` (boolean, optional, nullable)

### PaymentScheduleDunning

- `enabled` (boolean, optional)

### PaymentMethodFallback

- `enabled` (boolean, optional)
- `payment_method_ids` (list of string, optional)

### PaymentScheduleInstallments

- `total_amount` (Amount, optional)
- `variant` (enum, optional)
  - Allowed values: `INTERVAL`, `FIXED`
- `number_of_installments` (integer, optional)
- `interval` (IntervalInstallment, optional)
- `fixed` (FixedInstallment, optional)

### PaymentScheduleRecurring

- `charge` (Charge, optional)
- `start_at` (datetime, optional)
- `end_at` (datetime, optional, nullable)
- `period` (Period, optional)

### PaymentScheduleOneOff

- `charge` (Charge, optional)

### SellerDetails

- `seller_customer_id` (string, optional, nullable) — Resource ID of type CUSTOMER

### NotificationPreference

- `type` (enum, optional) — The notification type to configure.
  - Allowed values: `INVOICE`
- `channels` (list of NotificationChannel, optional, nullable) — The channels for this notification type.

### Individual

- `name` (Name, optional)
- `residential_address` (Address, optional)

### Organization

- `legal_name` (string, optional)
- `tax_id` (string, optional, nullable) — Tax Id used for tax purposes of the organization
- `tax_ids` (list of TaxId, optional, nullable) — Tax Ids used for tax purposes of the organization
- `registration_number` (string, optional, nullable)
- `tax_exempt` (boolean, optional, nullable)
- `tax_exempt_note` (string, optional, nullable)
- `registered_address` (Address, optional)
- `tax_registrations` (list of TaxRegistration, optional, nullable) — Extra tax registrations for the customer

### CustomFieldValue

- `id` (string, optional, nullable) — Resource ID of type CUSTOM_FIELD
- `reference` (string, optional, nullable)
- `value` (string, optional, nullable)
- `values` (list of string, optional, nullable)
- `integration_details` (IntegrationDetails, optional, nullable)
- `integration_id` (string, optional) — The resource ID of the integration linked to the custom field

### PricingPlanSubscriptionSelector

- `data` (list of PricingPlanSubscriptionSelectorData, optional, nullable)
- `rules` (list of PricingPlanSubscriptionSelectorRule, optional, nullable)
- `filters` (list of PricingPlanSubscriptionSelectorFilter, optional, nullable)
- `fallback` (enum, optional, nullable) — The fallback logic what to do when no subscription is found. By default it is LATEST
  - Allowed values: `LATEST`, `NONE`

### LinkedIntegration

- `id` (string, optional)
- `link_details` (list of LinkDetail, optional)

### CustomerSellerDetails

- `default_billing_entity_id` (string, optional, nullable) — Resource ID of type BILLING_ENTITY

### PaymentMethodCard

- `brand` (enum, optional, nullable)
  - Allowed values: `ACCEL`, `AMERICAN_EXPRESS`, `BANCONTACT`, `CARNET`, `CARTES_BANCAIRES`, `DANKORT`, `DINERS`, `DISCOVER`, `EFTPOS`, `ELO`, `GIROCARD`, `HIPERCARD`, `JCB`, `MAESTRO`, `MASTERCARD`, `NYCE`, `PULSE`, `STAR`, `UNION_PAY`, `VISA`, `V_PAY`
- `name` (string, optional, nullable)
- `expiry_date` (ExpiryDate, optional)
- `last_four_digits` (string, optional, nullable)
- `country` (string, optional, nullable)

### PaymentMethodOnlineBanking

- `variant` (string, optional, nullable)
- `owner_name` (string, optional, nullable)
- `iban` (string, optional, nullable)
- `bic` (string, optional, nullable)
- `country` (enum, optional, nullable)
  - Allowed values: `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PS`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `YE`, `YT`, `ZA`, `ZM`, `ZW`

### PaymentMethodBuyNowPayLater

- `variant` (string, optional, nullable)

### PaymentMethodDirectDebit

- `variant` (string, optional, nullable)
- `owner_name` (string, optional, nullable)
- `iban` (string, optional, nullable)
- `bic` (string, optional, nullable)
- `country` (enum, optional, nullable)
  - Allowed values: `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PS`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `YE`, `YT`, `ZA`, `ZM`, `ZW`

### PaymentMethodDigitalWallet

- `variant` (string, optional, nullable)

### IntegrationDetails

- `id` (string, optional, nullable)
- `reference` (string, optional, nullable)
- `payment_gateway_variant` (enum, optional)
  - Allowed values: `ADYEN`, `STRIPE`
- `adyen` (AdyenIntegrationDetails, optional)
- `stripe` (StripeIntegrationDetails, optional)

### Address

- `line1` (string, optional, nullable)
- `line2` (string, optional, nullable)
- `city` (string, optional, nullable)
- `postal_code` (string, optional, nullable)
- `state` (string, optional, nullable)
- `country` (enum, optional, nullable)
  - Allowed values: `AD`, `AE`, `AF`, `AG`, `AI`, `AL`, `AM`, `AO`, `AQ`, `AR`, `AS`, `AT`, `AU`, `AW`, `AX`, `AZ`, `BA`, `BB`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BL`, `BM`, `BN`, `BO`, `BQ`, `BR`, `BS`, `BT`, `BV`, `BW`, `BY`, `BZ`, `CA`, `CC`, `CD`, `CF`, `CG`, `CH`, `CI`, `CK`, `CL`, `CM`, `CN`, `CO`, `CR`, `CU`, `CV`, `CW`, `CX`, `CY`, `CZ`, `DE`, `DJ`, `DK`, `DM`, `DO`, `DZ`, `EC`, `EE`, `EG`, `EH`, `ER`, `ES`, `ET`, `FI`, `FJ`, `FK`, `FM`, `FO`, `FR`, `GA`, `GB`, `GD`, `GE`, `GF`, `GG`, `GH`, `GI`, `GL`, `GM`, `GN`, `GP`, `GQ`, `GR`, `GS`, `GT`, `GU`, `GW`, `GY`, `HK`, `HM`, `HN`, `HR`, `HT`, `HU`, `ID`, `IE`, `IL`, `IM`, `IN`, `IO`, `IQ`, `IR`, `IS`, `IT`, `JE`, `JM`, `JO`, `JP`, `KE`, `KG`, `KH`, `KI`, `KM`, `KN`, `KP`, `KR`, `KW`, `KY`, `KZ`, `LA`, `LB`, `LC`, `LI`, `LK`, `LR`, `LS`, `LT`, `LU`, `LV`, `LY`, `MA`, `MC`, `MD`, `ME`, `MF`, `MG`, `MH`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MQ`, `MR`, `MS`, `MT`, `MU`, `MV`, `MW`, `MX`, `MY`, `MZ`, `NA`, `NC`, `NE`, `NF`, `NG`, `NI`, `NL`, `NO`, `NP`, `NR`, `NU`, `NZ`, `OM`, `PA`, `PE`, `PF`, `PG`, `PH`, `PK`, `PL`, `PM`, `PN`, `PR`, `PS`, `PT`, `PW`, `PY`, `QA`, `RE`, `RO`, `RS`, `RU`, `RW`, `SA`, `SB`, `SC`, `SD`, `SE`, `SG`, `SH`, `SI`, `SJ`, `SK`, `SL`, `SM`, `SN`, `SO`, `SR`, `SS`, `ST`, `SV`, `SX`, `SY`, `SZ`, `TC`, `TD`, `TF`, `TG`, `TH`, `TJ`, `TK`, `TL`, `TM`, `TN`, `TO`, `TR`, `TT`, `TV`, `TW`, `TZ`, `UA`, `UG`, `US`, `UY`, `UZ`, `VA`, `VC`, `VE`, `VG`, `VI`, `VN`, `VU`, `WF`, `WS`, `YE`, `YT`, `ZA`, `ZM`, `ZW`

### Amount

- `quantity` (string, optional)
- `currency` (enum, optional)
  - Allowed values: `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYN`, `BZD`, `CAD`, `CDF`, `CHF`, `CLF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MRU`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLE`, `SOS`, `SRD`, `SSP`, `STN`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `UYI`, `UYU`, `UZS`, `VEF`, `VES`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XSU`, `XTS`, `XUA`, `XXX`, `YER`, `ZAR`, `ZMW`, `ZWL`

### IntervalInstallment

- `start_at` (datetime, optional, nullable)
- `period` (Period, optional)
- `charges` (list of Charge, optional)

### FixedInstallment

- `charges` (list of Charge, optional)

### Charge

- `charge_at` (datetime, optional, nullable)
- `amount` (Amount, optional)

### Period

- `type` (enum, optional)
  - Allowed values: `DAY`, `WEEK`, `MONTH`, `YEAR`
- `value` (integer, optional, nullable)

### NotificationChannel

- `type` (enum, optional) — The channel type to use.
  - Allowed values: `EMAIL`
- `enabled` (boolean, optional, nullable) — Whether the channel is enabled for the notification type.

### Name

- `first_name` (string, optional, nullable)
- `last_name` (string, optional, nullable)
- `infix` (string, optional, nullable)

### TaxId

- `id` (string, optional)
- `type` (enum, optional, nullable) — Optional tax id type, indicates which type of tax the number is for
  - Allowed values: `GENERIC_TAX_ID`, `AU_GST`, `CA_GST_HST`, `CA_PST`, `CA_PST_BC`, `CA_PST_MB`, `CA_PST_SK`, `CA_QST`
- `display_name` (string, optional, nullable) — User-friendly display name
- `tax_id_validation_result` (TaxIdValidation, optional)

### TaxRegistration

- `id` (string, optional, nullable) — The id of this tax registration
- `description` (string, optional, nullable) — The description of this tax registration
- `tax_id` (string, optional, nullable) — The tax id of this tax registration, e.g. a TIN, VAT id or other tax number
- `tax_ids` (list of TaxId, optional, nullable) — Tax IDs used for tax purposes of the tax registration, e.g. TINs, VAT ids, or other tax number
- `registration_number` (string, optional, nullable) — The registration number of this tax registration, e.g. a company registration number
- `registered_address` (Address, optional) — The address of this tax registration, if different from the billing entity. Currently, only the address will be used for tax calculations

### PricingPlanSubscriptionSelectorData

- `field` (enum, optional)
  - Allowed values: `BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY`, `PRICING_PLAN_REFERENCE`
- `value` (string, optional)

### PricingPlanSubscriptionSelectorRule

- `field` (enum, optional)
  - Allowed values: `BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY`, `PRICING_PLAN_REFERENCE`
- `type` (enum, optional)
  - Allowed values: `EQUALS`, `NOT_EQUALS`, `IN`, `NOT_IN`, `GREATER_THAN`, `GREATER_THAN_OR_EQUALS`, `LESS_THAN`, `LESS_THAN_OR_EQUALS`, `EMPTY`, `NOT_EMPTY`, `CONTAINS`, `NOT_CONTAINS`

### PricingPlanSubscriptionSelectorFilter

- `field` (enum, optional)
  - Allowed values: `BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY`, `PRICING_PLAN_REFERENCE`
- `type` (enum, optional)
  - Allowed values: `EQUALS`, `NOT_EQUALS`, `IN`, `NOT_IN`, `GREATER_THAN`, `GREATER_THAN_OR_EQUALS`, `LESS_THAN`, `LESS_THAN_OR_EQUALS`, `EMPTY`, `NOT_EMPTY`, `CONTAINS`, `NOT_CONTAINS`
- `value` (string, optional)

### LinkDetail

- `url` (string, optional, nullable)
- `custom_field_name` (string, optional, nullable)

### ExpiryDate

- `expiry_month` (integer, optional)
- `expiry_year` (integer, optional)

### AdyenIntegrationDetails

- `recurring_detail_reference` (string, optional)

### StripeIntegrationDetails

- `payment_method_id` (string, optional)

### TaxIdValidation

- `id` (string, optional)
- `validation_date` (string, optional)
- `source` (string, optional)
- `valid` (enum, optional)
  - Allowed values: `VALID`, `NOT_VALID`, `UNKNOWN`
- `message` (string, optional, nullable)

## Examples

**Request**

```json
{
  "reference": "northwind_platform_fee_2027",
  "billing_entity_id": "bile_OwDeeN0vxxHxNHCWNp1c",
  "type": "INSTALLMENTS",
  "customer_id": "cust_UwDeeN0vxxHxMTCJeF1K",
  "description": "Enterprise platform fee 2027, paid in four quarterly instalments",
  "statement_descriptor": "LUMEN AI ENTERPRISE",
  "payment_method_id": "pmet_owDeeN0vxxHymRCUwa1i",
  "dunning": {
    "enabled": true
  },
  "installments": {
    "total_amount": {
      "quantity": "24000.00",
      "currency": "USD"
    },
    "variant": "FIXED",
    "number_of_installments": 4,
    "fixed": {
      "charges": [
        {
          "charge_at": "2027-01-04T15:00:00Z",
          "amount": {
            "quantity": "6000.00",
            "currency": "USD"
          }
        },
        {
          "charge_at": "2027-04-01T14:00:00Z",
          "amount": {
            "quantity": "6000.00",
            "currency": "USD"
          }
        },
        {
          "charge_at": "2027-07-01T14:00:00Z",
          "amount": {
            "quantity": "6000.00",
            "currency": "USD"
          }
        },
        {
          "charge_at": "2027-10-01T14:00:00Z",
          "amount": {
            "quantity": "6000.00",
            "currency": "USD"
          }
        }
      ]
    }
  }
}
```

**Response**

```json
{
  "object_type": "string",
  "id": "string",
  "created_at": "string",
  "updated_at": "string",
  "status": "ACTIVE",
  "customer_id": "string",
  "customer": {
    "object_type": "string",
    "id": "string",
    "created_at": "string",
    "parent_customer_id": "string",
    "parent_customer_ids": [
      "string"
    ],
    "reference": "string",
    "status": "DRAFT",
    "timezone": "string",
    "type": "ORGANIZATION",
    "email": "string",
    "notification_preferences": [
      {
        "type": "INVOICE",
        "channels": [
          {
            "type": "EMAIL",
            "enabled": true
          }
        ]
      }
    ],
    "locale": "string",
    "individual": {
      "name": {
        "first_name": "string",
        "last_name": "string",
        "infix": "string"
      },
      "residential_address": {
        "line1": "string",
        "line2": "string",
        "city": "string",
        "postal_code": "string",
        "state": "string",
        "country": "AD"
      }
    },
    "organization": {
      "legal_name": "string",
      "tax_id": "string",
      "tax_ids": [
        {
          "id": "string",
          "type": "GENERIC_TAX_ID",
          "display_name": "string",
          "tax_id_validation_result": {
            "id": "string",
            "validation_date": "string",
            "source": "string",
            "valid": "VALID",
            "message": "string"
          }
        }
      ],
      "registration_number": "string",
      "tax_exempt": true,
      "tax_exempt_note": "string",
      "registered_address": {
        "line1": "string",
        "line2": "string",
        "city": "string",
        "postal_code": "string",
        "state": "string",
        "country": "AD"
      },
      "tax_registrations": [
        {
          "id": "string",
          "description": "string",
          "tax_id": "string",
          "tax_ids": [
            {
              "id": "string",
              "type": "GENERIC_TAX_ID",
              "display_name": "string",
              "tax_id_validation_result": {
                "id": "string",
                "validation_date": "string",
                "source": "string",
                "valid": "VALID",
                "message": "string"
              }
            }
          ],
          "registration_number": "string",
          "registered_address": {
            "line1": "string",
            "line2": "string",
            "city": "string",
            "postal_code": "string",
            "state": "string",
            "country": "AD"
          }
        }
      ]
    },
    "custom_fields": [
      {
        "id": "string",
        "reference": "string",
        "value": "string",
        "values": [
          "string"
        ],
        "integration_details": {
          "id": "string",
          "reference": "string",
          "payment_gateway_variant": "ADYEN",
          "adyen": {
            "recurring_detail_reference": "string"
          },
          "stripe": {
            "payment_method_id": "string"
          }
        },
        "integration_id": "string"
      }
    ],
    "pricing_plan_subscription_selector": {
      "data": [
        {
          "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
          "value": "string"
        }
      ],
      "rules": [
        {
          "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
          "type": "EQUALS"
        }
      ],
      "filters": [
        {
          "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
          "type": "EQUALS",
          "value": "string"
        }
      ],
      "fallback": "LATEST"
    },
    "linked_integrations": [
      {
        "id": "string",
        "link_details": [
          {
            "url": "string",
            "custom_field_name": "string"
          }
        ]
      }
    ],
    "roles": [
      "DEFAULT"
    ],
    "seller_details": {
      "default_billing_entity_id": "string"
    },
    "processing_only": true
  },
  "reference": "string",
  "description": "string",
  "statement_descriptor": "string",
  "payment_method_id": "string",
  "payment_method": {
    "object_type": "string",
    "id": "string",
    "created_at": "string",
    "updated_at": "string",
    "reference": "string",
    "status": "SETUP",
    "type": "CARD",
    "card": {
      "brand": "ACCEL",
      "name": "string",
      "expiry_date": {
        "expiry_month": 1,
        "expiry_year": 1
      },
      "last_four_digits": "string",
      "country": "string"
    },
    "online_banking": {
      "variant": "string",
      "owner_name": "string",
      "iban": "string",
      "bic": "string",
      "country": "AD"
    },
    "buy_now_pay_later": {
      "variant": "string"
    },
    "direct_debit": {
      "variant": "string",
      "owner_name": "string",
      "iban": "string",
      "bic": "string",
      "country": "AD"
    },
    "digital_wallet": {
      "variant": "string"
    },
    "customer_id": "string",
    "integration_id": "string",
    "integration_reference": "string",
    "integration_details": {
      "id": "string",
      "reference": "string",
      "payment_gateway_variant": "ADYEN",
      "adyen": {
        "recurring_detail_reference": "string"
      },
      "stripe": {
        "payment_method_id": "string"
      }
    },
    "billing_address": {
      "line1": "string",
      "line2": "string",
      "city": "string",
      "postal_code": "string",
      "state": "string",
      "country": "AD"
    },
    "is_default": true
  },
  "billing_entity_id": "string",
  "dunning": {
    "enabled": true
  },
  "payment_method_fallback": {
    "enabled": true,
    "payment_method_ids": [
      "string"
    ]
  },
  "type": "INSTALLMENTS",
  "installments": {
    "total_amount": {
      "quantity": "string",
      "currency": "AED"
    },
    "variant": "INTERVAL",
    "number_of_installments": 1,
    "interval": {
      "start_at": "2024-01-15T09:30:00Z",
      "period": {
        "type": "DAY",
        "value": 1
      },
      "charges": [
        {
          "charge_at": "2024-01-15T09:30:00Z",
          "amount": {
            "quantity": "string",
            "currency": "AED"
          }
        }
      ]
    },
    "fixed": {
      "charges": [
        {
          "charge_at": "2024-01-15T09:30:00Z",
          "amount": {
            "quantity": "string",
            "currency": "AED"
          }
        }
      ]
    }
  },
  "recurring": {
    "charge": {
      "charge_at": "2024-01-15T09:30:00Z",
      "amount": {
        "quantity": "string",
        "currency": "AED"
      }
    },
    "start_at": "2024-01-15T09:30:00Z",
    "end_at": "2024-01-15T09:30:00Z",
    "period": {
      "type": "DAY",
      "value": 1
    }
  },
  "one_off": {
    "charge": {
      "charge_at": "2024-01-15T09:30:00Z",
      "amount": {
        "quantity": "string",
        "currency": "AED"
      }
    }
  },
  "seller_details": {
    "seller_customer_id": "string"
  }
}
```

**SDK Code**

```python PaymentSchedules_postPaymentSchedules_example
import requests

url = "https://test.api.solvimon.com/v1/payment-schedules"

payload = {
    "reference": "northwind_platform_fee_2027",
    "billing_entity_id": "bile_OwDeeN0vxxHxNHCWNp1c",
    "type": "INSTALLMENTS",
    "customer_id": "cust_UwDeeN0vxxHxMTCJeF1K",
    "description": "Enterprise platform fee 2027, paid in four quarterly instalments",
    "statement_descriptor": "LUMEN AI ENTERPRISE",
    "payment_method_id": "pmet_owDeeN0vxxHymRCUwa1i",
    "dunning": { "enabled": True },
    "installments": {
        "total_amount": {
            "quantity": "24000.00",
            "currency": "USD"
        },
        "variant": "FIXED",
        "number_of_installments": 4,
        "fixed": { "charges": [
                {
                    "charge_at": "2027-01-04T15:00:00Z",
                    "amount": {
                        "quantity": "6000.00",
                        "currency": "USD"
                    }
                },
                {
                    "charge_at": "2027-04-01T14:00:00Z",
                    "amount": {
                        "quantity": "6000.00",
                        "currency": "USD"
                    }
                },
                {
                    "charge_at": "2027-07-01T14:00:00Z",
                    "amount": {
                        "quantity": "6000.00",
                        "currency": "USD"
                    }
                },
                {
                    "charge_at": "2027-10-01T14:00:00Z",
                    "amount": {
                        "quantity": "6000.00",
                        "currency": "USD"
                    }
                }
            ] }
    }
}
headers = {
    "X-API-KEY": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript PaymentSchedules_postPaymentSchedules_example
const url = 'https://test.api.solvimon.com/v1/payment-schedules';
const options = {
  method: 'POST',
  headers: {'X-API-KEY': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"reference":"northwind_platform_fee_2027","billing_entity_id":"bile_OwDeeN0vxxHxNHCWNp1c","type":"INSTALLMENTS","customer_id":"cust_UwDeeN0vxxHxMTCJeF1K","description":"Enterprise platform fee 2027, paid in four quarterly instalments","statement_descriptor":"LUMEN AI ENTERPRISE","payment_method_id":"pmet_owDeeN0vxxHymRCUwa1i","dunning":{"enabled":true},"installments":{"total_amount":{"quantity":"24000.00","currency":"USD"},"variant":"FIXED","number_of_installments":4,"fixed":{"charges":[{"charge_at":"2027-01-04T15:00:00Z","amount":{"quantity":"6000.00","currency":"USD"}},{"charge_at":"2027-04-01T14:00:00Z","amount":{"quantity":"6000.00","currency":"USD"}},{"charge_at":"2027-07-01T14:00:00Z","amount":{"quantity":"6000.00","currency":"USD"}},{"charge_at":"2027-10-01T14:00:00Z","amount":{"quantity":"6000.00","currency":"USD"}}]}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go PaymentSchedules_postPaymentSchedules_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://test.api.solvimon.com/v1/payment-schedules"

	payload := strings.NewReader("{\n  \"reference\": \"northwind_platform_fee_2027\",\n  \"billing_entity_id\": \"bile_OwDeeN0vxxHxNHCWNp1c\",\n  \"type\": \"INSTALLMENTS\",\n  \"customer_id\": \"cust_UwDeeN0vxxHxMTCJeF1K\",\n  \"description\": \"Enterprise platform fee 2027, paid in four quarterly instalments\",\n  \"statement_descriptor\": \"LUMEN AI ENTERPRISE\",\n  \"payment_method_id\": \"pmet_owDeeN0vxxHymRCUwa1i\",\n  \"dunning\": {\n    \"enabled\": true\n  },\n  \"installments\": {\n    \"total_amount\": {\n      \"quantity\": \"24000.00\",\n      \"currency\": \"USD\"\n    },\n    \"variant\": \"FIXED\",\n    \"number_of_installments\": 4,\n    \"fixed\": {\n      \"charges\": [\n        {\n          \"charge_at\": \"2027-01-04T15:00:00Z\",\n          \"amount\": {\n            \"quantity\": \"6000.00\",\n            \"currency\": \"USD\"\n          }\n        },\n        {\n          \"charge_at\": \"2027-04-01T14:00:00Z\",\n          \"amount\": {\n            \"quantity\": \"6000.00\",\n            \"currency\": \"USD\"\n          }\n        },\n        {\n          \"charge_at\": \"2027-07-01T14:00:00Z\",\n          \"amount\": {\n            \"quantity\": \"6000.00\",\n            \"currency\": \"USD\"\n          }\n        },\n        {\n          \"charge_at\": \"2027-10-01T14:00:00Z\",\n          \"amount\": {\n            \"quantity\": \"6000.00\",\n            \"currency\": \"USD\"\n          }\n        }\n      ]\n    }\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-API-KEY", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby PaymentSchedules_postPaymentSchedules_example
require 'uri'
require 'net/http'

url = URI("https://test.api.solvimon.com/v1/payment-schedules")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"reference\": \"northwind_platform_fee_2027\",\n  \"billing_entity_id\": \"bile_OwDeeN0vxxHxNHCWNp1c\",\n  \"type\": \"INSTALLMENTS\",\n  \"customer_id\": \"cust_UwDeeN0vxxHxMTCJeF1K\",\n  \"description\": \"Enterprise platform fee 2027, paid in four quarterly instalments\",\n  \"statement_descriptor\": \"LUMEN AI ENTERPRISE\",\n  \"payment_method_id\": \"pmet_owDeeN0vxxHymRCUwa1i\",\n  \"dunning\": {\n    \"enabled\": true\n  },\n  \"installments\": {\n    \"total_amount\": {\n      \"quantity\": \"24000.00\",\n      \"currency\": \"USD\"\n    },\n    \"variant\": \"FIXED\",\n    \"number_of_installments\": 4,\n    \"fixed\": {\n      \"charges\": [\n        {\n          \"charge_at\": \"2027-01-04T15:00:00Z\",\n          \"amount\": {\n            \"quantity\": \"6000.00\",\n            \"currency\": \"USD\"\n          }\n        },\n        {\n          \"charge_at\": \"2027-04-01T14:00:00Z\",\n          \"amount\": {\n            \"quantity\": \"6000.00\",\n            \"currency\": \"USD\"\n          }\n        },\n        {\n          \"charge_at\": \"2027-07-01T14:00:00Z\",\n          \"amount\": {\n            \"quantity\": \"6000.00\",\n            \"currency\": \"USD\"\n          }\n        },\n        {\n          \"charge_at\": \"2027-10-01T14:00:00Z\",\n          \"amount\": {\n            \"quantity\": \"6000.00\",\n            \"currency\": \"USD\"\n          }\n        }\n      ]\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java PaymentSchedules_postPaymentSchedules_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://test.api.solvimon.com/v1/payment-schedules")
  .header("X-API-KEY", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"reference\": \"northwind_platform_fee_2027\",\n  \"billing_entity_id\": \"bile_OwDeeN0vxxHxNHCWNp1c\",\n  \"type\": \"INSTALLMENTS\",\n  \"customer_id\": \"cust_UwDeeN0vxxHxMTCJeF1K\",\n  \"description\": \"Enterprise platform fee 2027, paid in four quarterly instalments\",\n  \"statement_descriptor\": \"LUMEN AI ENTERPRISE\",\n  \"payment_method_id\": \"pmet_owDeeN0vxxHymRCUwa1i\",\n  \"dunning\": {\n    \"enabled\": true\n  },\n  \"installments\": {\n    \"total_amount\": {\n      \"quantity\": \"24000.00\",\n      \"currency\": \"USD\"\n    },\n    \"variant\": \"FIXED\",\n    \"number_of_installments\": 4,\n    \"fixed\": {\n      \"charges\": [\n        {\n          \"charge_at\": \"2027-01-04T15:00:00Z\",\n          \"amount\": {\n            \"quantity\": \"6000.00\",\n            \"currency\": \"USD\"\n          }\n        },\n        {\n          \"charge_at\": \"2027-04-01T14:00:00Z\",\n          \"amount\": {\n            \"quantity\": \"6000.00\",\n            \"currency\": \"USD\"\n          }\n        },\n        {\n          \"charge_at\": \"2027-07-01T14:00:00Z\",\n          \"amount\": {\n            \"quantity\": \"6000.00\",\n            \"currency\": \"USD\"\n          }\n        },\n        {\n          \"charge_at\": \"2027-10-01T14:00:00Z\",\n          \"amount\": {\n            \"quantity\": \"6000.00\",\n            \"currency\": \"USD\"\n          }\n        }\n      ]\n    }\n  }\n}")
  .asString();
```

```php PaymentSchedules_postPaymentSchedules_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://test.api.solvimon.com/v1/payment-schedules', [
  'body' => '{
  "reference": "northwind_platform_fee_2027",
  "billing_entity_id": "bile_OwDeeN0vxxHxNHCWNp1c",
  "type": "INSTALLMENTS",
  "customer_id": "cust_UwDeeN0vxxHxMTCJeF1K",
  "description": "Enterprise platform fee 2027, paid in four quarterly instalments",
  "statement_descriptor": "LUMEN AI ENTERPRISE",
  "payment_method_id": "pmet_owDeeN0vxxHymRCUwa1i",
  "dunning": {
    "enabled": true
  },
  "installments": {
    "total_amount": {
      "quantity": "24000.00",
      "currency": "USD"
    },
    "variant": "FIXED",
    "number_of_installments": 4,
    "fixed": {
      "charges": [
        {
          "charge_at": "2027-01-04T15:00:00Z",
          "amount": {
            "quantity": "6000.00",
            "currency": "USD"
          }
        },
        {
          "charge_at": "2027-04-01T14:00:00Z",
          "amount": {
            "quantity": "6000.00",
            "currency": "USD"
          }
        },
        {
          "charge_at": "2027-07-01T14:00:00Z",
          "amount": {
            "quantity": "6000.00",
            "currency": "USD"
          }
        },
        {
          "charge_at": "2027-10-01T14:00:00Z",
          "amount": {
            "quantity": "6000.00",
            "currency": "USD"
          }
        }
      ]
    }
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp PaymentSchedules_postPaymentSchedules_example
using RestSharp;

var client = new RestClient("https://test.api.solvimon.com/v1/payment-schedules");
var request = new RestRequest(Method.POST);
request.AddHeader("X-API-KEY", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"reference\": \"northwind_platform_fee_2027\",\n  \"billing_entity_id\": \"bile_OwDeeN0vxxHxNHCWNp1c\",\n  \"type\": \"INSTALLMENTS\",\n  \"customer_id\": \"cust_UwDeeN0vxxHxMTCJeF1K\",\n  \"description\": \"Enterprise platform fee 2027, paid in four quarterly instalments\",\n  \"statement_descriptor\": \"LUMEN AI ENTERPRISE\",\n  \"payment_method_id\": \"pmet_owDeeN0vxxHymRCUwa1i\",\n  \"dunning\": {\n    \"enabled\": true\n  },\n  \"installments\": {\n    \"total_amount\": {\n      \"quantity\": \"24000.00\",\n      \"currency\": \"USD\"\n    },\n    \"variant\": \"FIXED\",\n    \"number_of_installments\": 4,\n    \"fixed\": {\n      \"charges\": [\n        {\n          \"charge_at\": \"2027-01-04T15:00:00Z\",\n          \"amount\": {\n            \"quantity\": \"6000.00\",\n            \"currency\": \"USD\"\n          }\n        },\n        {\n          \"charge_at\": \"2027-04-01T14:00:00Z\",\n          \"amount\": {\n            \"quantity\": \"6000.00\",\n            \"currency\": \"USD\"\n          }\n        },\n        {\n          \"charge_at\": \"2027-07-01T14:00:00Z\",\n          \"amount\": {\n            \"quantity\": \"6000.00\",\n            \"currency\": \"USD\"\n          }\n        },\n        {\n          \"charge_at\": \"2027-10-01T14:00:00Z\",\n          \"amount\": {\n            \"quantity\": \"6000.00\",\n            \"currency\": \"USD\"\n          }\n        }\n      ]\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift PaymentSchedules_postPaymentSchedules_example
import Foundation

let headers = [
  "X-API-KEY": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "reference": "northwind_platform_fee_2027",
  "billing_entity_id": "bile_OwDeeN0vxxHxNHCWNp1c",
  "type": "INSTALLMENTS",
  "customer_id": "cust_UwDeeN0vxxHxMTCJeF1K",
  "description": "Enterprise platform fee 2027, paid in four quarterly instalments",
  "statement_descriptor": "LUMEN AI ENTERPRISE",
  "payment_method_id": "pmet_owDeeN0vxxHymRCUwa1i",
  "dunning": ["enabled": true],
  "installments": [
    "total_amount": [
      "quantity": "24000.00",
      "currency": "USD"
    ],
    "variant": "FIXED",
    "number_of_installments": 4,
    "fixed": ["charges": [
        [
          "charge_at": "2027-01-04T15:00:00Z",
          "amount": [
            "quantity": "6000.00",
            "currency": "USD"
          ]
        ],
        [
          "charge_at": "2027-04-01T14:00:00Z",
          "amount": [
            "quantity": "6000.00",
            "currency": "USD"
          ]
        ],
        [
          "charge_at": "2027-07-01T14:00:00Z",
          "amount": [
            "quantity": "6000.00",
            "currency": "USD"
          ]
        ],
        [
          "charge_at": "2027-10-01T14:00:00Z",
          "amount": [
            "quantity": "6000.00",
            "currency": "USD"
          ]
        ]
      ]]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://test.api.solvimon.com/v1/payment-schedules")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```